Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xpath.regex
Class BMPattern

    java.lang.Object
      |
      +--org.apache.xerces.impl.xpath.regex.BMPattern

public class BMPattern
extends java.lang.Object

Boyer-Moore searcher.

Version:
  $Id: BMPattern.java,v 1.3 2002/08/09 15:18:17 neilg Exp $

Constructor Summary
`BMPattern(java.lang.String pat, boolean ignoreCase)`
`BMPattern(java.lang.String pat, int tableSize, boolean ignoreCase)`

Method Summary
`int` | `matches(char[] chars, int start, int limit)`
`int` | `matches(java.text.CharacterIterator iterator, int start, int limit)`
`int` | `matches(java.lang.String str, int start, int limit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BMPattern

    public BMPattern(java.lang.String pat,
                     boolean ignoreCase)

### BMPattern

    public BMPattern(java.lang.String pat,
                     int tableSize,
                     boolean ignoreCase)

Method Detail

### matches

    public int matches(java.text.CharacterIterator iterator,
                       int start,
                       int limit)

  Returns:
    -1 if iterator does not contain this pattern.

### matches

    public int matches(java.lang.String str,
                       int start,
                       int limit)

  Returns:
    -1 if str does not contain this pattern.

### matches

    public int matches(char[] chars,
                       int start,
                       int limit)

  Returns:
    -1 if chars does not contain this pattern.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.